Bug 1123636 - Add or remove network label with Rest API fails with "User is not logged in" error
Summary: Add or remove network label with Rest API fails with "User is not logged in" ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Alona Kaplan
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 12:20 UTC by GenadiC
Modified: 2016-02-10 19:38 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:37:22 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30753 master MERGED engine: Adjust Un/LabelNetworkCommand to use commandBase.runInternalAction Never
oVirt gerrit 30774 ovirt-engine-3.5 MERGED engine: Adjust Un/LabelNetworkCommand to use commandBase.runInternalAction Never

Description GenadiC 2014-07-27 12:20:36 UTC
Description of problem:
Trying to add or remove network label with rest API fails with <reason>Operation Failed</reason> <detail>[User is not logged in.]</detail>

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to add a label to existing network by sending <label id="label_name"/> to the https://<engine-ip>//ovirt-engine/api/networks/<network_id>/labels

Actual results:
<fault>
<reason>Operation Failed</reason>
<detail>[User is not logged in.]</detail>
</fault>

Expected results:
Action should succeed

Additional info:

Comment 1 Meni Yakove 2014-08-07 12:06:00 UTC
ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch

Comment 2 Sandro Bonazzola 2014-10-17 12:37:22 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.